dpkg-scansources(1)

NOM
dpkg-scansources - Crée des fichiers d'index de sources

SYNOPSIS
dpkg-scansources [option...] rep-de-binaires [fichier-override [préfixe-chemin]] > Sources

DESCRIPTION
dpkg-scansources recherche des fichiers .dsc dans le répertoire rep-de-binaires indiqué. Ces fichiers sont utilisés pour créer un index de sources Debian, qui est envoyé sur la sortie standard.

Le fichier-override, s'il est indiqué, est utilisé pour fixer les priorités dans les paragraphes de l'index créé et pour modifier le responsable donné par les fichiers .dsc (depuis dpkg 1.15.5). Consultez deb-override(5) pour plus de détails sur le format de ce fichier.

Note : comme le fichier override est indexé par paquet binaire et non pas par paquet source, cela pose un léger problème. L'implémentation actuelle utilise la priorité la plus élevée des paquets produits par un fichier .dsc comme priorité du paquet source, et l'entrée du fichier override du premier paquet binaire listé dans le fichier .dsc pour modifier l'information sur le responsable. Cela pourra changer.

Le préfixe-chemin, s'il est indiqué, est ajouté au début du champ Directory (« répertoire ») dans l'index des sources généré. C'est, en règle générale, utilisé pour que le champ Directory contienne un chemin depuis la racine de l'archive Debian.

Note : Si vous voulez accéder au fichier Sources généré avec apt(8), vous devrez probablement compresser ce fichier avec gzip(1) (pour créer un fichier Sources.gz). apt(8) ignore les fichiers Sources non compressés sauf pour les accès locaux (c'est-à-dire les sources file://).

OPTIONS

-n, --no-sort
    Ne trie pas les paragraphes de l'index. Ils sont d'habitude triés en fonction du nom du paquet source.

-e, --extra-override fichier
    Examine fichier à la recherche d'« overrides » supplémentaires (depuis dpkg 1.15.4 ; ce fichier peut être compressé depuis dpkg 1.15.5). Voir deb-extra-override(5) pour plus d'information sur le format utilisé.

-s, --source-override fichier
    Utilise fichier comme fichier override des sources (ce fichier peut être compressé depuis dpkg 1.15.5). La valeur par défaut est le nom du fichier override indiqué auquel est ajoutée l'extension .src.

    Le format des fichiers override des sources est différent des fichiers override des binaires. Il ne contient que deux champs séparés par des espaces, le premier indique le paquet source et le second, la section. Les lignes blanches et les lignes de commentaire sont ignorées comme à l'habitude. Si un paquet apparaît dans chaque fichier, le fichier des sources est prioritaire pour fixer la section.

--debug
    Active le débogage.

--help
    Afficher un message d'aide puis quitter.

--version
    Afficher le numéro de version puis quitter.

ENVIRONNEMENT

DPKG_COLORS
    Définit le mode de couleur (depuis dpkg 1.18.5). Les valeurs actuellement acceptées sont auto (par défaut), always et never.

DPKG_NLS
    Si cette variable est définie, elle sera utilisée pour décider l'activation de la prise en charge des langues (NLS – Native Language Support), connu aussi comme la gestion de l'internationalisation (ou i18n) (depuis dpkg 1.19.0). Les valeurs permises sont : 0 et 1 (par défaut).

VOIR AUSSI
deb-override(5), deb-extra-override(5), dpkg-scanpackages(1).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.